/* Announcement bar styles */
.announcement-bar {
    font-size: 0.8rem;
    background-color: rgba(125, 125, 125, .125);
    transition: all 0.3s ease-in-out;
    border: 1px solid rgba(125, 125, 125, .25);
}

.announcement-bar:hover {
    box-shadow: inset 0 0 125px -55px var(--color-red);
    border-color: var(--color-red);

}



@media (max-width: 576px) {
    .announcement-bar {
        font-size: 0.75rem;
    }
}


/* navigation menu styles */

.nav-item,
.nav-link {
    /* margin: 0 1rem; */
    font-size: 1rem;
}

.nav-item {
    margin: 0 1rem;
}

/* .nav-link.active,
.nav-link:hover {
    text-shadow: 0 0 10px var(--color-red);
} */

.nav-link {
    text-transform: uppercase;
    padding: 0.25rem 0.75rem;
    color: var(--color-menu-text) !important;
}

.nav-link:hover {
    color: var(--color-menu-text-hover) !important;
}

.nav-link.active:not(.btn-contact) {
    padding: 0.25rem 0.75rem;
    border: 1px solid rgba(var(--color-menu-active), var(--border-transparency));
    background-color: rgba(var(--color-menu-active), var(--bg-transparency));
    border-radius: .375rem;
}

.nav-link.active:hover:not(.btn-contact) {
    background-color: rgba(var(--color-menu-active), 0.7);
}

.nav-link.active {
    font-weight: 700;
    color: var(--color-menu-text-active) !important;
}

/* .navbar {
    position: relative;
    z-index: 2000;
}



.navbar-center {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
} */
.navbar {
    transition: box-shadow 0.3s ease-in-out;
    border: #222 1px solid;
}

.navbar:hover {
    box-shadow: inset 0 0 125px -55px var(--color-dark-shadow);
    border: 1px solid var(--color-dark-shadow);
}

.btn-contact {
    border-radius: .32rem;
    padding: 0.3rem 0.9rem !important;
    background-color: transparent;
    border: 1px solid rgba(var(--color-highlight), var(--border-transparency));
    background-color: rgba(var(--color-highlight), var(--bg-transparency));
    color: var(--color-light) !important;
    text-decoration: none !important;
}

.btn-contact:hover {
    background-color: rgba(var(--color-highlight), 0.7);
    border: 1px solid rgba(var(--color-highlight), 0.7);
    transition: background-color 0.3s, border-color 0.3s, color 0.3s;
}


.submenu {
    display: none;
    position: absolute;
    /* background-color: var(--color-dark); */
    /* background-color: rgba(30, 30, 36, 0.95); */
    /* box-shadow: 0 0 12px rgba(0, 0, 0, 0.5); */
    /* top: 100%; */
    left: 50%;
    width: 94vw;
    transform: translateX(-50%);
    z-index: 1500;
    padding-top: 33vh;
    padding-bottom: 2rem;
}

.show-submenu:hover .submenu {
    display: flex;
}

body:has(.show-submenu:hover) main {
    filter: brightness(0.5) grayscale(1) blur(5px);
}

.menu-grid {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 0.75rem;
    max-width: 1200px;
    width: 90vw;
    margin: 0 auto;
}

.menu-block {
    text-decoration: none !important;
    padding: 1rem;
    border-radius: .25rem;
    background-color: var(--color-dark);
    color: var(--color-light) !important;
    transition: transform 0.2s, filter 0.2s;
    border: 1px solid #444;
    z-index: 1600;
}

.menu-block img {
    margin-bottom: 0.5rem;
}

.menu-block:hover {
    transform: scale(1.05);
    filter: brightness(1.1);
    box-shadow:inset 0 0 150px -35px rgba(var(--color-menu-active), 0.5);
}

/* .menu-grid:has(.menu-block:hover) .menu-block:not(:hover) {
    filter: brightness(0.5) grayscale(1) blur(5px);
    z-index: 1685;
} */

.nav-info {
    cursor: pointer;
    margin-left: 1rem;
    position: relative;
    color: var(--color-menu-text)
}

.nav-info svg, .b-info svg {
    width: 24px;
    height: 24px;
    top: 0.125em;
    position: relative;
    margin-right: 1rem;
    fill: var(--color-menu-text);
}

.nav-info:hover svg, .b-info svg:hover {
    fill: var(--color-menu-text-hover);
}

.l-info {
    position: absolute;
    top: 0;
    right: 50%;
    width: max-content;
    z-index: 2000;
    padding-top: calc(100% + 15px);
    min-width: calc(25vw + 3rem);
}

.l-info div, .b-info div {
    padding: 1.5rem;
    cursor: initial;
    border-radius: 0.175rem;
}
.l-info div{
    background-color: var(--color-dark);
    border: 1px solid #222;
    text-align: right;
}
@media (max-width: 991.98px) {

    .nav-item,
    .btn-contact {
        font-size: .9rem;
    }
}

@media (max-width: 768px) {
    .nav-item {
        margin: 0 0.35rem;
        /* font-size: 1.25em; */
    }

    .navbar>.container-fluid {
        justify-content: center;
    }

    .menu-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    .submenu {
        padding-top: 10vh;
    }
}